---

- name: '[TARGZ] Check already at latest'
  stat:
    path: "{{ item.value.target_dir }}/{{ item.value.original_dir }}"
  with_dict:  "{{ targzs }}"
  register: check_targz_status

- name: '[TARGZ] Download files'
  get_url: url={{ item.item.value.url }} dest=/tmp/{{ item.item.key }}.tar.gz validate_certs=no
  with_items: "{{ check_targz_status.results }}"
  when: not item.stat.exists or item.item.value.force_reinstall|default (false)

- name: '[TARGZ] Extract files'
  unarchive: src=/tmp/{{ item.item.key }}.tar.gz dest={{ item.item.value.target_dir }}
  with_items: "{{ check_targz_status.results }}"
  when: not item.stat.exists or item.item.value.force_reinstall|default (false)

- name: '[TARGZ] Symlink extracted folders'
  file: path={{ item.item.value.target_dir }}/{{ item.item.value.symlinked_dir }} src={{ item.item.value.target_dir }}/{{ item.item.value.original_dir }} state=link
  with_items: "{{ check_targz_status.results }}"
  when: not item.stat.exists or item.item.value.force_reinstall|default (false)
